/**
 * constants for injection token
 */
import { InjectionToken } from '@angular/core';
import { STColumn } from '@delon/abc';
import { IStartupService } from '../service/i-startup.service';
declare const KENGIC_TOKEN_WINDOW_LOCATION: InjectionToken<Location>;
declare const KENGIC_TOKEN_STARTUP_SERVICE: InjectionToken<IStartupService>;
declare const KENGIC_TOKEN_IDENTITY_SCOPES: InjectionToken<string[]>;
declare const KENGIC_TOKEN_PERMISSIONS_KEY: InjectionToken<string[]>;
declare const KENGIC_TOKEN_LOGO: InjectionToken<string>;
declare const KENGIC_TOKEN_LOGO_FULL: InjectionToken<string>;
declare const KENGIC_TOKEN_THEME: InjectionToken<string>;
declare const KENGIC_TOKEN_DISPLAY_CHANGE_PASSWORD_OPTION: InjectionToken<boolean>;
declare const KENGIC_TOKEN_ENABLE_WORKING_GROUP: InjectionToken<boolean>;
declare const KENGIC_TOKEN_USER_COLUMNS: InjectionToken<STColumn[]>;
declare const KENGIC_TOKEN_ADD_UER_ROLE_PARAM: InjectionToken<STColumn[]>;
/**
 * @deprecated
 */
declare const KENGIC_TOKEN_USER_ACTION_COLUMN_WIDTH: InjectionToken<string>;
export { KENGIC_TOKEN_WINDOW_LOCATION, KENGIC_TOKEN_STARTUP_SERVICE, KENGIC_TOKEN_IDENTITY_SCOPES, KENGIC_TOKEN_PERMISSIONS_KEY, KENGIC_TOKEN_LOGO, KENGIC_TOKEN_LOGO_FULL, KENGIC_TOKEN_THEME, KENGIC_TOKEN_DISPLAY_CHANGE_PASSWORD_OPTION, KENGIC_TOKEN_ENABLE_WORKING_GROUP, KENGIC_TOKEN_USER_COLUMNS, KENGIC_TOKEN_ADD_UER_ROLE_PARAM, KENGIC_TOKEN_USER_ACTION_COLUMN_WIDTH, };
